Subject: Re: [ippm] Type-P-Reordered Dst param

From: Al Morton <[email-masked]>
Date: Fri, 09 Dec 2005 10:56:12 -0500

At 07:45 AM 11/18/2005, Lei Liang wrote:
>... The solution is actually simple as we put in the multimetrics draft
>by specifying both multicast group address and the address of the
>measurement point. In that case, please see the comments in line.
>
>
>On Fri, 2005-11-18 at 13:49 +0100, Spiros Spirou wrote:
>...
> >   Al wrote:
> > > In the Reordering draft, section 2.3
> > > "Required Context for All Reordering Metrics" gives the opportunity
> > > to report any and all relevant information under the
> > > "Packet of Type-P" category (including transport addresses).
> >
> > I would prefer not to abuse the elasticity provided by section 2.3 because
> > it might undermine the draft's intention, which, in my mind at least, is to
> > define a common "language" for reporting reordering. IMHO, multicast 
> traffic
> > is not that uncommon to be handled by the "extension mechanism" of the
> > draft.
> >
>I don't know that the metrics of reordering should actually report
>whether unicast of multicast coz the operation will not be affected by
>any transport mechanism. But I'd leave this question to Al.

I think it's fair to say that evaluation of reordering at any one of
multiple destinations (e.g., in a multicast group) would follow
the same methods we've described in draft-ippm-reordering.
I'd prefer to deal with the multicast case explicitly in
the multi-party metrics draft, where we describe the problem
space much more completely. In the mean time, the Context section 2.3
can suffice until the multiparty metrics draft is done.

Al

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm